### 3.5 exit

exit \- Exit the process

#### Synopsis

exit ?returnCode?

#### Description

Terminate the process, returning returnCode (an integer) to the system as the exit status. If returnCode isn’t specified then it defaults to 0. This command replaces the Tcl command by the same name. It is identical to Tcl’s exit command except that before exiting it destroys all the windows managed by the process. This allows various cleanup operations to be performed, such as removing application names from the global registry of applications.

#### Keywords

exit, process